/* --------------------------------------
/*  Button
/* -------------------------------------- */
.btn {
  display: inline-block;
  font-weight: 400;
  text-align: center;
  white-space: nowrap;
  vertical-align: middle;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: #fff;
  border: 0.1rem solid transparent;
  border-radius: 0.5rem;
  padding: 0.8rem 1rem;
  line-height: 1.5;
  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
  background: $red;

  &:focus {
    border-color: $red;
    outline: 0;
    box-shadow: inset 0 0.1rem 0.1rem $red, 0 0 0.8rem $red;
  }
}

.btn-green {
  background: $green;

  &:focus {
    border-color: $green;
    outline: 0;
    box-shadow: inset 0 0.1rem 0.1rem $green, 0 0 0.8rem $green;
  }
}

.btn-white {
  background: $white;
  color: $black;

  &:focus {
    border-color: $white;
    outline: 0;
    box-shadow: inset 0 0.1rem 0.1rem $white, 0 0 0.8rem $white;
  }
}

.btn-blue {
  background: $blue;
  color: $white;

  &:focus {
    border-color: $blue;
    outline: 0;
    box-shadow: inset 0 0.1rem 0.1rem $blue, 0 0 0.8rem $blue;
  }
}

.btn-orange {
  background: $orange;
  color: $white;

  &:focus {
    border-color: $orange;
    outline: 0;
    box-shadow: inset 0 0.1rem 0.1rem $orange, 0 0 0.8rem $orange;
  }
}

.btn-grey {
  background: $gray-600;
  color: $white;

  &:focus {
    border-color: $gray-600;
    outline: 0;
    box-shadow: inset 0 0.1rem 0.1rem $gray-600, 0 0 0.8rem $gray-600;
  }
}

.btn-fluid {
  width: 100%;
}
